## com.bbn.openmap.tools.drawing
Class EditClassWrapper

    java.lang.Object
      com.bbn.openmap.tools.drawing.EditClassWrapper

public class EditClassWrapper
extends java.lang.Object

The EditClassWrapper is used by the EditToolLoaders to keep graphic classes associated with their class names, the editable class name, a valid icon and pretty name to be used in a GUI.

Field Summary
`protected java.lang.String` `className`
`protected java.lang.String` `editableClassName`
`protected javax.swing.ImageIcon` `icon`
`protected java.lang.String` `prettyName`

Constructor Summary
`EditClassWrapper(java.lang.String classname, java.lang.String editableclassname, java.lang.String iconname, java.lang.String prettyname)`

Method Summary
`java.lang.String` `getClassName()`
`java.lang.String` `getEditableClassName()`
`javax.swing.ImageIcon` `getIcon()`
`java.lang.String` `getPrettyName()`
`void` `setClassName(java.lang.String classname)`
`void` `setEditableClassName(java.lang.String editableclassname)`
`void` `setIcon(javax.swing.ImageIcon image)`
`void` `setPrettyName(java.lang.String prettyname)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### className

    protected java.lang.String className

### editableClassName

    protected java.lang.String editableClassName

### icon

    protected javax.swing.ImageIcon icon

### prettyName

    protected java.lang.String prettyName

Constructor Detail

### EditClassWrapper

    public EditClassWrapper(java.lang.String classname,
                            java.lang.String editableclassname,
                            java.lang.String iconname,
                            java.lang.String prettyname)

Method Detail

### setClassName

    public void setClassName(java.lang.String classname)

### getClassName

    public java.lang.String getClassName()

### setEditableClassName

    public void setEditableClassName(java.lang.String editableclassname)

### getEditableClassName

    public java.lang.String getEditableClassName()

### setPrettyName

    public void setPrettyName(java.lang.String prettyname)

### getPrettyName

    public java.lang.String getPrettyName()

### setIcon

    public void setIcon(javax.swing.ImageIcon image)

### getIcon

    public javax.swing.ImageIcon getIcon()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details